<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSCLASS"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.ListClassifications']}</h1>
        <h:form id="gll">

            #{classificationMetaDataEditorManager.initListClassificationMetadatas()}

            <gri:panel>
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ListClassifications']}
                    (#{classificationMetaDataEditorManager.countListClassificationMetadatas()})
                </f:facet>
                <a4j:commandButton
                        value="#{messages['net.ihe.gazelle.xdstar.AddNewClassificationMetadata']}"
                        actionListener="#{classificationMetaDataEditorManager.initSelectedClassificationMetadata()}"
                        action="/admin/editClassificationMetadata.xhtml"
                        styleClass="gzl-btn-green" render="gll"/>

                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.ImportClassificationMetadata']}"
                                   styleClass="gzl-btn-blue"
                                   oncomplete="jq162('#upload_metadata').modal('show');"
                                   render="formUpload,upload_metadata"/>
                <br/>
                <br/>
                <rich:dataTable id="dataTable"
                                value="#{classificationMetaDataEditorManager.getListClassificationMetadatasDatamodelList()}"
                                var="cl" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                render="ds">
                    <g:column sortBy="#{'id'}" sortOrder="ascending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Id']}</ui:define>
                        <h:outputText value="#{cl.id}"/>
                    </g:column>
                    <g:column sortBy="#{'uuid'}" filterBy="#{'uuid'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.UUID']}</ui:define>
                        <h:outputText value="#{cl.uuid}"/>
                    </g:column>
                    <g:column sortBy="#{'displayAttributeName'}" filterBy="#{'displayAttributeName'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Name']}</ui:define>
                        <h:outputText value="#{cl.displayAttributeName}"/>
                    </g:column>
                    <g:column>
                        <f:facet name="header">
                            <s:div>
                                <h:commandLink
                                        action="#{classificationMetaDataEditorManager.downloadAll()}"
                                        rendered="#{s:hasRole('admin_role') || s:hasRole('tests_editor_role')}"
                                        target="_blank">
                                    <span class="gzl-icon-download"/>
                                </h:commandLink>
                            </s:div>
                        </f:facet>
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>

                        <a4j:commandLink
                                actionListener="#{classificationMetaDataEditorManager.setSelectedClassificationMetaData(cl)}"
                                action="/admin/editClassificationMetadata.xhtml">
                            <span class="gzl-icon-pencil"/>
                        </a4j:commandLink>
                        <gdk:spacer width="5px"/>
                        <a4j:commandLink
                                action="#{classificationMetaDataEditorManager.cloneAndPersistMetadata(cl)}"
                                render="gll">
                            <span class="gzl-icon-files-o"/>
                        </a4j:commandLink>
                        <gdk:spacer width="5px"/>
                        <a4j:commandLink
                                action="#{classificationMetaDataEditorManager.setSelectedClassificationMetaData(cl)}"
                                oncomplete="jq162('#confirm_delete').modal('show');"
                                render="formDelete,confirm_delete">
                            <span class="gzl-icon-trash-o"/>
                        </a4j:commandLink>
                        <gdk:spacer width="5px"/>
                        <h:commandLink action="#{commonROManager.exportToXml(cl)}"
                                       render="textExport" target="_blank"
                                       rendered="#{s:hasRole('admin_role') || s:hasRole('tests_editor_role')}">
                            <span class="gzl-icon-download"/>
                        </h:commandLink>

                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="dataTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>

            </gri:panel>

        </h:form>

        <h:form id="formUpload">
            <gri:popupPanel id="upload_metadata">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.UploadMetadata']}"/>
                </f:facet>

                <f:facet name="footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" styleClass="gzl-btn"
                                       onclick="jq162('#upload_metadata').modal('hide');"
                                       ajaxSingle="true"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Confirm']}" styleClass="gzl-btn-green"
                                       action="#{classificationMetaDataEditorManager.importClassification()}"
                                       render="gll,messageDecoration"
                                       onclick="jq162('#upload_metadata').modal('hide');"/>
                </f:facet>
                <rich:fileUpload id="uploadFile"
                                 fileUploadListener="#{classificationMetaDataEditorManager.uploadListener}"
                                 maxFilesQuantity="1" acceptedTypes="xml,zip" listHeight="60px"
                                 immediateUpload="true">
                </rich:fileUpload>

            </gri:popupPanel>
        </h:form>

        <h:form id="formDelete">
            <gri:popupPanel id="confirm_delete">
                <f:facet name="header">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.DeleteClassification']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#confirm_delete').modal('hide')"
                                       execute="@this"/>
                    <a4j:commandButton styleClass="gzl-btn-red"
                                       value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                       action="#{classificationMetaDataEditorManager.deleteSelectedClassificationMetadata()}"
                                       onclick="jq162('#confirm_delete').modal('hide');"
                                       render="gll"/>
                </f:facet>
                <p>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.AreYouSureYouWantToDeleteThisClassification']}"/>
                </p>
            </gri:popupPanel>
        </h:form>
    </ui:define>
</ui:composition>
